Bug 14652 - Change gender option N/A to None specified
Summary: Change gender option N/A to None specified
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Liz Rea
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-05 23:10 UTC by Liz Rea
Modified: 2016-12-05 21:23 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14652 - change gender specification from "N/A" to "None specified" (2.94 KB, patch)
2015-08-05 23:11 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 14652 - change gender specification from "N/A" to "None specified" (2.94 KB, patch)
2015-08-05 23:22 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 14652 - change gender specification from "N/A" to "None specified" (3.01 KB, patch)
2015-08-11 09:43 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 14652 - change gender specification from "N/A" to "None specified" (3.07 KB, patch)
2015-08-19 07:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14652: Change one more occurrence of N/A. (1.31 KB, patch)
2015-08-19 07:45 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2015-08-05 23:10:33 UTC
We should do this because it is more respectful to people who do not wish to specify a gender.
Comment 1 Liz Rea 2015-08-05 23:11:08 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2015-08-05 23:22:02 UTC Comment hidden (obsolete)
Comment 3 Mirko Tietgen 2015-08-11 09:43:34 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-08-19 07:45:41 UTC
Created attachment 41649 [details] [review]
Bug 14652 - change gender specification from "N/A" to "None specified"

To test:

Edit a patron in the intranet, note that the gender options are "Female," "Male," and "None specified"

Setting "None specified" should result in the gender not being shown on the patron detail page (unchanged functionality)

In the opac, log in and click the "your personal details" tab, and note that the gender options are "Female," "Male," and "None specified"

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2015-08-19 07:45:49 UTC
Created attachment 41650 [details] [review]
Bug 14652: Change one more occurrence of N/A.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Tomás Cohen Arazi 2015-08-21 13:25:02 UTC
Patches pushed to master.

Thanks Liz and Jonathan!

I think we should go further and rename sex => gender all over the place at some point.